View Issue Details

IDProjectCategoryView StatusLast Update
0017696FPCUtilitiespublic2011-05-02 10:31
Reporterolivier Assigned ToJonas Maebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSHaiku 
Target Version2.4.2Fixed in Version2.4.2 
Summary0017696: fpcres is not included in the fpc 2.4.2 RC1 package for Haiku
DescriptionI forgot to include it in makefile through an updated Makefile.fpc. It could be usefull to compile Lazarus under Haiku "out of the box".

See attached patch.
TagsNo tags attached.
Fixed in Revision16241
FPCOldBugId0
FPCTarget
Attached Files

Activities

2010-10-23 19:03

 

fpcres_r16207.diff (337 bytes)   
Index: utils/Makefile.fpc
===================================================================
--- utils/Makefile.fpc	(revision 16207)
+++ utils/Makefile.fpc	(working copy)
@@ -13,6 +13,7 @@
 dirs_win32=fpmc fpcres
 dirs_win64=fpmc fpcres
 dirs_wince=fpcres
+dirs_haiku=fpcres
 dirs_linux=fpcres
 dirs_freebsd=fpcres
 dirs_openbsd=fpcres
fpcres_r16207.diff (337 bytes)   

Marco van de Voort

2010-10-28 21:39

manager   ~0042274

(merged to final 2.4.2 branch)

Issue History

Date Modified Username Field Change
2010-10-23 19:03 olivier New Issue
2010-10-23 19:03 olivier File Added: fpcres_r16207.diff
2010-10-23 21:53 Jonas Maebe Fixed in Revision => 16209
2010-10-23 21:53 Jonas Maebe Status new => resolved
2010-10-23 21:53 Jonas Maebe Fixed in Version => 2.5.1
2010-10-23 21:53 Jonas Maebe Resolution open => fixed
2010-10-23 21:53 Jonas Maebe Assigned To => Jonas Maebe
2010-10-23 21:53 Jonas Maebe Target Version => 2.4.2
2010-10-28 21:39 Marco van de Voort Note Added: 0042274
2010-10-28 21:41 Jonas Maebe FPCOldBugId => 0
2010-10-28 21:41 Jonas Maebe Fixed in Revision 16209 => 16240
2010-10-28 21:41 Jonas Maebe Fixed in Version 2.5.1 => 2.4.3
2010-10-28 21:41 Jonas Maebe Fixed in Revision 16240 => 16241
2010-10-28 21:41 Jonas Maebe Fixed in Version 2.4.3 => 2.4.2
2011-05-02 10:31 Marco van de Voort Status resolved => closed